Bug 1745727 - [RFE] apcupsd: epel8 build request
Summary: [RFE] apcupsd: epel8 build request
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: apcupsd
Version: epel8
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1766067 1827810 (view as bug list)
Depends On: 1804198
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-26 18:29 UTC by Thomas Stephen Lee
Modified: 2020-07-07 05:38 UTC (History)
10 users (show)

Fixed In Version: apcupsd-3.14.14-18.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-01 02:38:53 UTC
Type: Bug


Attachments (Terms of Use)
spec file (15.79 KB, text/plain)
2020-04-10 21:48 UTC, Germano Massullo
no flags Details

Description Thomas Stephen Lee 2019-08-26 18:29:18 UTC
Done successfully on RHEL 8 and RHEL 8.1 Beta.

$ rpm -i https://dl.fedoraproject.org/pub/fedora/linux/releases/30/Everything/source/tree/Packages/a/apcupsd-3.14.14-14.fc30.src.rpm

#Line 23
BuildRequires: gtk2-devel, gnome-vfs2-devel, desktop-file-utils
#change to
BuildRequires: gtk2-devel, desktop-file-utils

rpmbuild -ba rpmbuild/SPECS/apcupsd.spec

thanks.

Comment 1 Jason Tibbitts 2019-08-26 20:25:57 UTC
I have no interest in supporting EPEL8 but certainly welcome comaintainers.

Comment 2 Jason Tibbitts 2019-10-29 18:22:53 UTC
*** Bug 1766067 has been marked as a duplicate of this bug. ***

Comment 3 Thomas Stephen Lee 2020-01-31 10:44:56 UTC
wget https://dl.fedoraproject.org/pub/fedora/linux/releases/31/Everything/source/tree/Packages/a/apcupsd-3.14.14-16.fc31.src.rpm

yum-builddep -y /home/mockbuild/srpms/apcupsd-3.14.14-16.fc31.src.rpm

rpmbuild --rebuild  /home/mockbuild/srpms/apcupsd-3.14.14-16.fc31.src.rpm

Comment 4 Thomas Stephen Lee 2020-02-03 10:09:13 UTC
Sorry,

The above steps won't work.

mock -r epel-8-x86_64 rebuild srpms/apcupsd-3.14.14-16.fc31.src.rpm

says 

No matching package to install: 'gnome-vfs2-devel'

I had managed to build gnome-vfs2-devel and lot of other depended packages on my rebuild VM (RHEL 8.1), so I did not get errors.
We still have to edit the spec file to build it via rpmbuild or mock and also build some dependent packages.
The resultant rpm installs without complaining, though.

Comment 5 Germano Massullo 2020-04-10 21:48:42 UTC
Created attachment 1677868 [details]
spec file

This spec file works.
You can remove gnome-vfs2 and added GConf2-devel.
I saw that in Klaus Tachtler copr repository, a user of apcupsd mailing list suggested me to check his repository.

Comment 6 Germano Massullo 2020-04-17 17:14:07 UTC
I requested to be comaintainer for EPEL8. Meanwhile I will get the needed permissions, you can test my copr repository
https://copr.fedorainfracloud.org/coprs/germano/apcupsd_epel/

Comment 7 Eric Sandeen 2020-04-24 21:15:08 UTC
*** Bug 1827810 has been marked as a duplicate of this bug. ***

Comment 8 Germano Massullo 2020-04-24 21:18:13 UTC
Hi Jason, me and Thomas we need permissions to maintain EPEL8

Comment 9 Fedora Admin user for bugzilla script actions 2020-05-06 02:45:03 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 10 admin 2020-06-08 14:24:26 UTC
Hi folks,
For several months now, I've been looking forward to official apcupsd package for CentOS 8 in EPEL.
If there is any hope for this issue to be resolved, can you please give an estimate how long it will take? 
Thank you )

Comment 11 Germano Massullo 2020-06-08 15:43:13 UTC
(In reply to admin from comment #10)
> Hi folks,
> For several months now, I've been looking forward to official apcupsd
> package for CentOS 8 in EPEL.
> If there is any hope for this issue to be resolved, can you please give an
> estimate how long it will take? 
> Thank you )

I am doing it right now because I have forgotten to push it to epel8

Comment 12 admin 2020-06-15 12:51:02 UTC
(In reply to Germano Massullo from comment #11)
> I am doing it right now because I have forgotten to push it to epel8

Any news? Is there anything that can be done to accelerate the process? 
Thanks for your efforts

Comment 13 Fedora Update System 2020-06-15 14:33:42 UTC
FEDORA-EPEL-2020-62ff199978 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-62ff199978

Comment 14 Fedora Update System 2020-06-16 02:14:02 UTC
apcupsd-3.14.14-18.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-62ff199978

Comment 15 Fedora Update System 2020-07-01 02:38:53 UTC
FEDORA-EPEL-2020-62ff199978 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Thomas Stephen Lee 2020-07-07 05:38:43 UTC
Working fine in RHEL 8.2.

thanks


Note You need to log in before you can comment on or make changes to this bug.